Change Orders
The change orders resource.
Base/changeOrders
GET
/changeOrdersList change orders
Retrieve a paginated list of change orders. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/changeOrders
curl --request GET \
--url '<your-host>/changeOrders?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"changeOrderId": "xyz789",
"reasonForChange": "string",
"description": "string",
"type": "string",
"status": "string",
"priority": "string"
}
]GET
/changeOrdersRetrieve a change orders
Fetch a single change orders by filtering on `id`.
Query parameters
idstringMatch on the change orders's `id`, e.g. `eq.{id}`.
GET/changeOrders
curl --request GET \
--url '<your-host>/changeOrders?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"changeOrderId": "xyz789",
"reasonForChange": "string",
"description": "string",
"type": "string",
"status": "string",
"priority": "string"
}